<?php

namespace CarDealerPress\Includes\Helpers;

use CarDealerPress\includes\functions\Logger;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Remote_Requests {
	use Logger;
	public static function http_get_file( $params ) {
		// TODO future add a param for api_key. future implementation.
		// Get site URL and pass as referer to API call
		$url                                      = BASE_INVENTORY_API_URL . $params;
		$request_parameters['headers']['Referer'] = site_url();
		$response                                 = wp_remote_request( $url, $request_parameters );

		return $response;
	}

	public static function purge_url( $params ) {
		// Get site URL and pass as referer to API call
		$url                                      = BASE_INVENTORY_API_URL . $params;
		$request_parameters['headers']['Referer'] = site_url();
		$request_parameters['method']             = 'PURGE';
		$response                                 = wp_remote_request( $url, $request_parameters );
		( new Remote_Requests() )->append_log( array( 'message' => 'CDP Message: API Purge ran for URL: ' . $url ) );
	}

	public static function http_get_file_headers( $params ) {
		// Get site URL and pass as referer to API call
		$url                                      = BASE_INVENTORY_API_URL . $params;
		$request_parameters['headers']['Referer'] = site_url();
		$response                                 = wp_remote_head( $url, $request_parameters );

		return $response;
	}

	public static function check_for_valid_company_id( $dealer_id ) {
		$api_params    = '/api/companies/' . $dealer_id;
		$response      = self::http_get_file( $api_params );
		$response_code = wp_remote_retrieve_response_code( $response );
		// todo future add other response codes.
		if ( 200 === $response_code ) {
			return $response;
		} else {
			return false;
		}
	}
}
