<?php
/**
 * Default Options Class File
 *
 * This file contains the Default Options/settings.
 */

namespace CarDealerPress\Includes\Init;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Default_Options {

	public static $default_options_admin
		= array(
			'admin' => array(
				'advanced'    => array(
					'dealers'        => array(),
					'import_filters' => array(),
				),
				'database'    => array(
					'company'   => array(
						'current' => '6.4.2312.00',
						'initial' => '5.4.2007.04',
					),
					'inventory' => array(
						'current' => '6.2.2309.00',
						'initial' => '5.3.2002.01',
					),
				),
				'general'     => array(
					'company_id'                => 0,
					'api_key'                   => '', // TODO: future implementation.
					'vdp_url_identifier'        => 'vin',
					'debug_plugin_info'         => '',
					'discourage_seo_visibility' => '',
				),
				'help'        => array(
					'host' => 'https://api.dealertrend.com',
				),
				'google_tags' => array(
					'key' => '',
				),
			),
		);

	public static $default_options_theme
		= array(
			'theme' => array(
				'general'           => array(
					'name'          => 'armadillo',
					'detail_format' => 'Default',
				),
				'overrides'         => array(
					'custom_contact'   => array(
						'phone'      => array(
							'new'  => '',
							'used' => '',
						),
						'name'       => array(
							'new'  => '',
							'used' => '',
						),
						'street'     => array(
							'new'  => '',
							'used' => '',
						), // Future implementation.
						'city'       => array(
							'new'  => '',
							'used' => '',
						), // Future implementation.
						'zip'        => array(
							'new'  => '',
							'used' => '',
						), // Future implementation.
						'breadcrumb' => '',
					),
					'default_no_image' => '',
					'per_page'         => 10,
					'saleclass'        => 'all',
					'makes_new'        => array(
						'included'  => array(),
						'available' => array(),
					),
					'disclaimer'       => 'All advertised prices exclude government fees and taxes, any finance charges, any dealer document preparation charge, and any emission testing charge. Vehicles are subject to prior sale. All advertised to be true but not guaranteed.',
				),
				'inventory_display' => array(  // SRP and VDP.
					'general'            => array(
						'both'           => array(
							'extra_boxes' => array(
								'box_two'   => '',
								'box_three' => '',
								'box_four'  => '',
							),
							'styles'      => array(
								'inject' => array(),
							),
						),
						'saved_vehicles' => array(
							'display' => '',
							'form'    => '',
						),
					),
					'prices'             => array(
						'display' => array(
							'was_now'        => 'on',
							'strike_through' => 'on',
							'show_used'      => 'on',
							'show_new'       => 'on',
						),
						'text'    => array(
							'new'  => array(
								'price'          => '',
								'compare_price'  => '',
								'sale_price'     => '',
								'discount'       => '',
								'call_for_price' => '',
							),
							'used' => array(
								'price'          => '',
								'compare_price'  => '',
								'sale_price'     => '',
								'discount'       => '',
								'call_for_price' => '',
							),
						),
					),
					'list'               => array(
						'general'            => array(
							'display_dealer_name'     => '',
							'display_dealer_phone'    => '',
							'display_address_options' => '',
							'buttons'                 => array(
								'form'     => array(
									'name'     => '',
									'gform_id' => '',
									'position' => '',
								),
								'vdp_link' => array(
									'name'     => '',
									'position' => '',
								),
								'box'      => array(
									'content'  => '',
									'position' => '',
								),
							),
							'list_title_heading'      => '',
							'no_results_form'         => 0,
							'no_results_form_text'    => '',
						),
						'vehicle_attributes' => array(
							'display_attribute' => 'on',
							'not_found_text'    => 'Data Not Available',
							'attributes'        => array(
								array(
									'attribute' => 'saleclass',
									'position'  => '1',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Condition',
								),
								array(
									'attribute' => 'exterior',
									'position'  => '2',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Exterior',
								),

								array(
									'attribute' => 'engine',
									'position'  => '3',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Engine',
								),
								array(
									'attribute' => 'interior',
									'position'  => '4',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Interior',
								),
								array(
									'attribute' => 'odometer',
									'position'  => '5',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Odometer',
								),
								array(
									'attribute' => 'mpg',
									'position'  => '6',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'MPG',
								),
								array(
									'attribute' => 'transmission',
									'position'  => '7',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Transmission',
								),
								array(
									'attribute' => 'fuel_type',
									'position'  => '8',
									'desktop'   => '',
									'mobile'    => '',
									'label'     => 'Fuel Type',
								),
								array(
									'attribute' => 'stock',
									'position'  => '8',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Stock #',
								),
								array(
									'attribute' => 'drivetrain',
									'position'  => '9',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Drivetrain',
								),
								array(
									'attribute' => 'vin',
									'position'  => '10',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'VIN',
								),
								array(
									'attribute' => 'body',
									'position'  => '11',
									'desktop'   => '',
									'mobile'    => '',
									'label'     => 'Body Style',
								),
								array(
									'attribute' => 'doors',
									'position'  => '12',
									'desktop'   => '',
									'mobile'    => '',
									'label'     => 'Doors',
								),
							),
							'additional'        => array(
								'vin'      => array( 'item_prop' => 'vehicleIdentificationNumber' ),
								'exterior' => array( 'item_prop' => 'color' ),
								'interior' => array( 'item_prop' => 'vehicleInteriorColor' ),
								'mpg'      => array( 'disclaimer' => 'Actual mileage will vary with options, driving conditions, driving habits and vehicle&#39;s condition.' ),

							),
						),
						'extra_boxes'        => array(
							'box_two'   => '',
							'box_three' => '',
							'box_four'  => '',
						),
						'sort'               => array(
							'default' => 'makeModel',
							'custom'  => array(),
						),
						'scripts'            => array(
							'inject' => '',
							'ajax'   => '',
						),
						'styles'             => array(
							'inject' => '',
						),
						'search_filters'     => array(
							'general'       => array(
								'hide_saleclass'           => '',
								'hide_features'            => '',
								'hide_vehicleclass'        => '',
								'hide_certified_saleclass' => '',
								'display_bodystyle'        => '',
								'display_drivetrain'       => '',
								'display_mpg'              => '',
								'display_transmission'     => '',
								'show_saleclass_tag'       => '',
								'search_view'              => 'top',
								'srp_view'                 => 'list',
								'price_range'              => '1000,5000,10000,15000,20000,25000,30000,35000,40000,45000',
								'odometer_range'           => '0,10000,20000,30000,40000,60000,80000,100000,125000,150000,200000',
							),
							'geo_search'    => array(
								'display_geo' => '',
								'add_geo_zip' => '',
								'geo_options' => '',
							),
							'color_mapping' => array(
								'enable'       => '',
								'exterior'     => array(
									'red'    => 'red, ruby',
									'blue'   => 'blue',
									'yellow' => 'yellow',
									'green'  => 'green',
									'orange' => 'orange',
									'tan'    => 'tan, brown, granite',
									'gray'   => 'gray',
									'silver' => 'silver',
									'black'  => 'black, onyx, graphite',
									'white'  => 'white, pearl',
								),
								'default_text' => 'Unknown',
							),
						),
						'keywords'           => array(
							'enable'  => '',
							'add'     => '',
							'exclude' => '',
							'pot'     => '',
						),
					),
					'detail'             => array(
						'general'            => array(
							'display_similar'   => '',
							'default_image_tab' => 'Photo',
							'default_info_tab'  => 'Description',
							'similar_vehicles'  => array(
								'price_add'      => 1000,
								'price_subtract' => 3000,
							),
							'social'            => array(
								'facebook' => array(
									'enable' => '',
								),
							),
							'show_standard_eq'  => 0, // TODO: future DEPRECATION PATH.
						),
						'extra_boxes'        => array(
							'box_two'   => '',
							'box_three' => '',
							'box_four'  => '',
						),
						'forms'              => array(),
						'maps'               => array(
							'key'     => '',
							'display' => 'on',
							'custom'  => array(),
						),
						'scripts'            => array(
							'inject' => '',
						),
						'styles'             => array(
							'inject' => '',
						),
						'vehicle_attributes' => array(
							'display_attribute' => 'on',
							'not_found_text'    => 'Data Not Available',
							'attributes'        => array(
								array(
									'attribute' => 'saleclass',
									'position'  => '1',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Condition',
								),
								array(
									'attribute' => 'exterior',
									'position'  => '2',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Exterior',
								),

								array(
									'attribute' => 'engine',
									'position'  => '3',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Engine',
								),
								array(
									'attribute' => 'interior',
									'position'  => '4',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Interior',
								),
								array(
									'attribute' => 'odometer',
									'position'  => '5',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Odometer',
								),
								array(
									'attribute' => 'mpg',
									'position'  => '6',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'MPG',
								),
								array(
									'attribute' => 'transmission',
									'position'  => '7',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Transmission',
								),
								array(
									'attribute' => 'fuel_type',
									'position'  => '8',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Fuel Type',
								),
								array(
									'attribute' => 'stock',
									'position'  => '8',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Stock #',
								),
								array(
									'attribute' => 'drivetrain',
									'position'  => '9',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'Drivetrain',
								),
								array(
									'attribute' => 'vin',
									'position'  => '10',
									'desktop'   => 'on',
									'mobile'    => 'on',
									'label'     => 'VIN',
								),
								array(
									'attribute' => 'body',
									'position'  => '11',
									'desktop'   => '',
									'mobile'    => '',
									'label'     => 'Body Style',
								),
								array(
									'attribute' => 'doors',
									'position'  => '12',
									'desktop'   => '',
									'mobile'    => '',
									'label'     => 'Doors',
								),
							),
							'additional'        => array(
								'vin'      => array( 'item_prop' => 'vehicleIdentificationNumber' ),
								'exterior' => array( 'item_prop' => 'color' ),
								'interior' => array( 'item_prop' => 'vehicleInteriorColor' ),
								'mpg'      => array( 'disclaimer' => 'Actual mileage will vary with options, driving conditions, driving habits and vehicle&#39;s condition.' ),
							),
						),
						'detail_format'      => 'Default',
					),
					'payment_calculator' => array(
						'used'   => array(
							'default' => array(
								'display_calc'       => '',
								'display_payment'    => '',
								'display_monthly'    => '',
								'display_bi_monthly' => '',
								'display_total_cost' => '',
								'interest'           => '0',
								'trade'              => '0',
								'term'               => '60',
								'down'               => '0',
								'tax'                => '0',
								'disclaimer'         => '',
								'display_text'       => '',
								'down_percent'       => '',
								'days_to_payment'    => 0,
							),
						),
						'new'    => array(
							'default' => array(
								'display_calc'       => '',
								'display_payment'    => '',
								'display_monthly'    => '',
								'display_bi_monthly' => '',
								'display_total_cost' => '',
								'interest'           => '0',
								'trade'              => '0',
								'term'               => '60',
								'down'               => '0',
								'tax'                => '0',
								'disclaimer'         => '',
								'display_text'       => '',
								'down_percent'       => '',
								'days_to_payment'    => 0,
							),
						),
						'custom' => array(),
					),
					'banners'            => array(),
					'script_assets'      => array(),
					'style_assets'       => array(),
					'tags'               => array(
						'display_tags' => '',
						'custom'       => array(),
						'exclude'      => array(),
					),
				),
				'automall_emails'   => array(
					'defaults' => array(
						'new'  => '',
						'used' => '',
					),
					'dealers'  => array(),
				),
				'style'             => array( // for Cobra, appears deprecated functionality.
					'flex' => array(
						'toggle'   => '',
						'settings' => array(
							'containers' => array(
								'one'   => array(
									'order'     => 1,
									'max-width' => 100,
								),
								'two'   => array(
									'order'     => 1,
									'max-width' => 100,
								),
								'three' => array(
									'order'     => 1,
									'max-width' => 100,
								),
								'four'  => array(
									'order'     => 1,
									'max-width' => 100,
								),
								'five'  => array(
									'order'     => 1,
									'max-width' => 100,
								),
								'six'   => array(
									'order'     => 1,
									'max-width' => 100,
								),
							),
						),
					),
				),
			),
		);
}
