<?php

namespace CarDealerPress\Templates\Admin\Shortcode;

function inventory_slider() {
	$content  = <<<HTML
<div id="content-inventory-slider" class="sc-tab-content" >
<div class="sc-info-header">		
<div class="sc-info-call"><span>Minimum Usage: [inventory_slider]</span></div>
<div class="sc-info-usage"><span>Example Usage: [inventory_slider saleclass="Used"]</span></div>
</div>
<table class="sc-info-table-params">
HTML;
	$content .= short_code_parameters_headers();
	$content .= <<<HTML
	<tr>
		<td class="td-full center">saleclass</td>
		<td class="td-full center">All, New, Used</td>
		<td class="td-full center">All</td>
	</tr>
HTML;
	$content .= common_params();
	$content .= <<<HTML
	<tr>
		<td class="td-full center">limit</td>
		<td class="td-full center">Any numeric value between 1-50</td>
		<td class="td-full center">10</td>
	</tr>
	<tr>
		<td class="td-full center">price</td>
		<td class="td-full center">A numeric value range separated by a comma<span style="display: block; font-size: 10px; font-style: italic; color: #707070">e.g.: 1700,23000</span></td>
		<td class="td-full center">empty</td>
	</tr>
	<tr>
		<td class="td-full center">mileage</td>
		<td class="td-full center">A numeric value range separated by a comma<span style="display: block; font-size: 10px; font-style: italic; color: #707070">e.g.: 78000,92111</span></td>
		<td class="td-full center">default</td>
	</tr>
	<tr>
		<td class="td-full center">year</td>
		<td class="td-full center">A numeric value range separated by a comma<span style="display: block; font-size: 10px; font-style: italic; color: #707070">e.g.: 1990,1998</span></td>
		<td class="td-full center">default</td>
	</tr>
	<tr>
		<td class="td-full center">dealer_id</td>
		<td class="td-full center">Pull the inventory from another VMS ID (Useful for sites that are using an Automall ID)</td>
		<td class="td-full center">Settings ID</td>
	</tr>	
	<tr>
		<td class="td-full center">is_slider</td>
		<td class="td-full center">Toggle slider feature on (1) or off (0).</td>
		<td class="td-full center"> 1 (on)</td>
	</tr>
	<tr>
		<td class="td-full center">fuel_type</td>
		<td class="td-full center">unleaded, hybrid, diesel</td>
		<td class="td-full center">empty</td>
	</tr>
	<tr>
		<td class="td-full center">use_vehicle_url</td>
		<td class="td-full center">Set to 'true' if you want to use an upstream vdp url, it will open in a new tab by default.</td>
		<td class="td-full center">false</td>
	</tr>	
    <tr class="row-specific"></tr><td></td>
    <td style="font-weight: bold;padding:5px;">Slider Specific Attributes</td>
    <td></td>
    <tr>
		<td class="td-full center">title</td>
		<td class="td-full center">Title to display over slider.</td>
		<td class="td-full center">empty</td>
	</tr>
	<tr>
		<td class="td-full center">autoplay</td>
		<td class="td-full center">Toggle autoplay feature on (1) or off (0).</td>
		<td class="td-full center">1 (on)</td>
	</tr>
	<tr>
		<td class="td-full center">center_mode</td>
		<td class="td-full center">Toggle center_mode feature on (1) or off (0).</td>
		<td class="td-full center">0 (off)</td>
	</tr>
	<tr>
		<td class="td-full center">dots</td>
		<td class="td-full center">Toggle dots feature on (1) or off (0).</td>
		<td class="td-full center">0 (off)</td>
	</tr>
	<tr>
		<td class="td-full center">infinite</td>
		<td class="td-full center">Toggle infinite feature on (1) or off (0).</td>
		<td class="td-full center">1 (on)</td>
	</tr>
	<tr>
		<td class="td-full center">autoplay_speed</td>
		<td class="td-full center">Control autoplay speed of the slider.</td>
		<td class="td-full center">3000</td>
	</tr>	
	<tr>
		<td class="td-full center">speed</td>
		<td class="td-full center">Control speed of the slider.</td>
		<td class="td-full center">300</td>
	</tr>
</tbody>
</table>
</div>
HTML;

	return $content;
}
