<?php

namespace CarDealerPress\templates\admin\theme\inventory_display\detail;

use CarDealerPress\Includes\Helpers\Option;
use CarDealerPress\templates\partials\admin\Table_Rows;

function detail_general(): string {
	$content  = '<section id="detail-options">';
	$content .= '<div><h3>Detail Options</h3></div>';
	$content .= '<table id="detail-options-table" class="">';
	$content .= '<tbody>';
	// TODO - probably should remove this. deprecated feature, for vehicles post 2019.
	$checked  = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'inventory_display',
			'detail',
			'general',
			'show_standard_eq',
		)
	);
	$content .= table_rows::tr_setting_checkbox(
		array(
			'id'      => 'show_standard_eq',
			'label'   => 'Standard Equipment',
			'name'    => 'cdp_theme_options[theme][inventory_display][detail][general][show_standard_eq]',
			'checked' => $checked,
		)
	);

	$checked  = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'inventory_display',
			'detail',
			'general',
			'display_similar',
		)
	);
	$content .= table_rows::tr_setting_checkbox(
		array(
			'id'      => 'display_similar',
			'label'   => 'Display Similar Vehicles',
			'name'    => 'cdp_theme_options[theme][inventory_display][detail][general][display_similar]',
			'checked' => $checked,
		)
	);

	$value    = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'inventory_display',
			'detail',
			'general',
			'default_image_tab',
		)
	);
	$content .= table_rows::tr_select_dropown(
		array(
			'label' => 'Default Photo/Video Tab',
			'id'    => 'default_image_tab',
			'name'  => 'cdp_theme_options[theme][inventory_display][detail][general][default_image_tab]',
			'value' => $value,
			'list'  => array( 'Photo', 'Video' ),
			'notes' => 'not Flamingo',
		)
	);

	$value    = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'inventory_display',
			'detail',
			'general',
			'default_info_tab',
		)
	);
	$content .= table_rows::tr_select_dropown(
		array(
			'label' => 'Default Vehicle Info',
			'id'    => 'theme-detail-default_info_tab',
			'name'  => 'cdp_theme_options[theme][inventory_display][detail][general][default_info_tab]',
			'value' => $value,
			'list'  => array( 'Description', 'Options' ),
		)
	);

	// TODO Future: should probably be it's own Social section under Detail.
	$checked  = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'inventory_display',
			'detail',
			'general',
			'social',
			'facebook',
			'enable',
		)
	);
	$content .= table_rows::tr_setting_checkbox(
		array(
			'id'      => 'theme-facebook-enable',
			'label'   => 'Enable Facebook Share',
			'name'    => 'cdp_theme_options[theme][inventory_display][detail][general][social][facebook][enable]',
			'checked' => $checked,
		)
	);

	$content .= '</tbody>';
	$content .= '</table>';
	$content .= '</section>';

	return $content;
}
