<?php

namespace CarDealerPress\Templates\Admin\Theme\Inventory_Display;

use CarDealerPress\Includes\Helpers\Option;
use CarDealerPress\templates\partials\admin\Table_Rows;

function extra_boxes( $args ): string {
	$page = $args['location'];
	if ( 'both' === $args['location'] ) {
		$location      = array( 'theme', 'inventory_display', 'general', "$page", 'extra_boxes' );
		$location_name = "general][$page";
	} else {
		$location      = array( 'theme', 'inventory_display', "$page", 'extra_boxes' );
		$location_name = "$page";
	}
	$content  = '<section id="extra-boxes-' . $page . '">';
	$content .= '<div><h3>Extra Boxes</h3></div>';
	if ( 'both' === $page ) {
		$content .= '<div><h5>Will be overwritten if filled out in List/Detail section. Can contain any valid HTML or SCRIPT code. 
						For scripts the opening and closing tags must be included.</h5></div>';
	}
	$content .= '<table id="extra-boxes-' . $page . '-table" class="">';
	$content .= '<tbody>';
	$content .= '<tr><th>Allowable merge tags</th>';
	$content .= '<td><ul class="allowable-merge-tags">';
	$hooks    = array( '[VIN]', '[STOCK]', '[DEALER]' );
	foreach ( $hooks as $hook ) {
		$content .= "<li>$hook</li>";
	}
	$content   .= '</ul></td>';
	$content   .= '</tr>';
	$location[] = 'box_two';
	$value      = Option::check_for_option( 'cdp_theme_options', $location );
	$content   .= table_rows::tr_setting_textarea(
		array(
			'label' => 'Extra Box Two Data',
			'id'    => 'extra-box-2-' . $page,
			'name'  => "cdp_theme_options[theme][inventory_display][$location_name][extra_boxes][box_two]",
			'tooltip' => array('text' => 'Box will be overwritten if either carfax or autocheck is enabled.',
								'position' => 'right'),
			'value' => $value,
		)
	);
	array_pop( $location );
	$location[] = 'box_three';
	$value      = Option::check_for_option( 'cdp_theme_options', $location );
	$content   .= table_rows::tr_setting_textarea(
		array(
			'label' => 'Extra Box Three Data',
			'id'    => 'extra-box-3-' . $page,
			'name'  => "cdp_theme_options[theme][inventory_display][$location_name][extra_boxes][box_three]",
			'value' => $value,
			'tooltip' => $tip ?? '',
		)
	);
	array_pop( $location );
	$location[] = 'box_four';
	$value      = Option::check_for_option( 'cdp_theme_options', $location );
	$content   .= table_rows::tr_setting_textarea(
		array(
			'label' => 'Extra Box Four Data',
			'id'    => 'extra-box-4-' . $page,
			'name'  => "cdp_theme_options[theme][inventory_display][$location_name][extra_boxes][box_four]",
			'value' => $value,
			'tooltip' => $tip ?? '',
		)
	);
	$content   .= '</tbody>';
	$content   .= '</table>';
	$content   .= '</section>';

	return $content;
}
