<?php

namespace CarDealerPress\templates\admin\theme\inventory_display;

use CarDealerPress\Includes\Helpers\Option;
use CarDealerPress\templates\partials\admin\Display;
use CarDealerPress\templates\partials\admin\Table_Rows;

function prices(): string {

	$content  = '<section id="price-options">';
	$content .= '<div><h3>Price Options</h3></div>';
	$content .= '<div><h3>Display Options</h3></div>';
	$content .= display_options();
	$content .= '<div><h3>Overrides</h3></div>';
	$content .= text_overrides();
	$content .= '</section>';
	return $content;
}

function text_overrides() {
	$content  = '<table>';
	$content .= '<tbody>';
	$content .= '<tr><td><h4>New:</h4></td></tr>';
	$content .= price_fields( 'new' );
	$content .= '<tr><td><h4>Used:</h4></td></tr>';
	$content .= price_fields( 'used' );
	$content .= '</tbody></table>';
	return $content;
}

function display_options() {
		$options  = Option::get_cdp_theme_options()['theme']['inventory_display']['prices']['display'];
		$content  = '<table id="" class="">';
		$content .= '<tbody>';
		$keys     = array_keys( $options );
	foreach ( $keys as $key ) {
		// Option strike_through not part of Flamingo, legacy implementation.
		if ( ! ( 'strike_through' === $key && Display::flamingo_theme_check() ) ) {
			$checked = Option::check_for_option(
				'cdp_theme_options',
				array(
					'theme',
					'inventory_display',
					'prices',
					'display',
					$key,
				)
			);
			$label   = '';
			foreach ( explode( '_', $key ) as $word ) {
				$label .= ucfirst( $word );
				$label .= ' ';
			}
			$content .= table_rows::tr_setting_checkbox(
				array(
					'id'      => 'price_display_' . $key,
					'label'   => $label . ':',
					'name'    => 'cdp_theme_options[theme][inventory_display][prices][display][' . $key . ']',
					'checked' => $checked,
				)
			);
		}
	}
		$content .= '</tbody>';
		$content .= '</table>';
		return $content;

}

function price_fields( $saleclass ) {
	$content = '';
	$options = Option::get_cdp_theme_options()['theme']['inventory_display']['prices']['text'][ $saleclass ];
	$keys    = array_keys( $options );
	foreach ( $keys as $key ) {
		if ( ! ( 'discount' === $key && ! Display::flamingo_theme_check() ) ) {
			$value = Option::check_for_option(
				'cdp_theme_options',
				array(
					'theme',
					'inventory_display',
					'prices',
					'text',
					$saleclass,
					$key,
				)
			);
			$label = '';
			foreach ( explode( '_', $key ) as $word ) {
				$label .= ucfirst( $word );
				$label .= ' ';
			}
			$content .= table_rows::tr_setting_text(
				array(
					'id'    => 'price_text_new_' . $key,
					'label' => $label . ':',
					'name'  => 'cdp_theme_options[theme][inventory_display][prices][text][' . $saleclass . '][' . $key . ']',
					'value' => $value,
					'class' => 'input-long',
				)
			);
		}
	}
	return $content;
}
