<?php

namespace CarDealerPress\Templates\Admin\Theme;

use CarDealerPress\Includes\Helpers\{Option};
use CarDealerPress\templates\partials\admin\Display;
use CarDealerPress\templates\partials\admin\Table_Rows;

function vehicle_filtering() {
	$content  = '<table>';
	$content .= '<tbody>';
	$content .= '<tr><th><h2>Search Filter Settings</h2></th></tr>';
	if ( Display::flamingo_theme_check() ) {
		$value            = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'list',
				'search_filters',
				'general',
				'search_view',
			)
		);
		$search_view_list = array( 'top', 'side', 'side2' );
		$content         .= table_rows::tr_select_dropown(
			array(
				'label' => 'Search View',
				'id'    => 'search_view',
				'name'  => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][search_view]',
				'value' => $value,
				'list'  => $search_view_list,
			)
		);

		$value         = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'list',
				'search_filters',
				'general',
				'srp_view',
			)
		);
		$srp_view_list = array( 'list', 'grid' );
		$content      .= table_rows::tr_select_dropown(
			array(
				'label' => 'SRP View',
				'id'    => 'srp_view',
				'name'  => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][srp_view]',
				'value' => $value,
				'list'  => $srp_view_list,
			)
		);

		$checked  = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'list',
				'search_filters',
				'general',
				'display_bodystyle',
			)
		);
		$content .= table_rows::tr_setting_checkbox(
			array(
				'id'      => 'display_bodystyle',
				'label'   => 'Display Body Type Search',
				'name'    => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][display_bodystyle]',
				'checked' => $checked,
			)
		);

		$checked  = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'list',
				'search_filters',
				'general',
				'display_transmission',
			)
		);
		$content .= table_rows::tr_setting_checkbox(
			array(
				'id'      => 'display_transmission',
				'label'   => 'Display Transmission Search',
				'name'    => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][display_transmission]',
				'checked' => $checked,
			)
		);

		$checked  = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'list',
				'search_filters',
				'general',
				'display_drivetrain',
			)
		);
		$content .= table_rows::tr_setting_checkbox(
			array(
				'id'      => 'display_drivetrain',
				'label'   => 'Display Drivetrain Search',
				'name'    => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][display_drivetrain]',
				'checked' => $checked,
			)
		);

		$checked  = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'list',
				'search_filters',
				'general',
				'display_mpg',
			)
		);
		$content .= table_rows::tr_setting_checkbox(
			array(
				'id'      => 'display_mpg',
				'label'   => 'Display MPG Search',
				'name'    => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][display_mpg]',
				'checked' => $checked,
			)
		);

		$checked  = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'list',
				'search_filters',
				'general',
				'show_saleclass_tag',
			)
		);
		$content .= table_rows::tr_setting_checkbox(
			array(
				'id'      => 'show_saleclass_tag',
				'label'   => 'Show Saleclass Tag',
				'name'    => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][show_saleclass_tag]',
				'checked' => $checked,
				'notes'   => 'Will display in the filters section',
			)
		);
	}
	$checked  = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'inventory_display',
			'list',
			'search_filters',
			'general',
			'hide_saleclass',
		)
	);
	$content .= table_rows::tr_setting_checkbox(
		array(
			'id'      => 'hide_saleclass',
			'label'   => 'Hide Sale Class Search',
			'name'    => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][hide_saleclass]',
			'checked' => $checked,
		)
	);

	$checked  = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'inventory_display',
			'list',
			'search_filters',
			'general',
			'hide_vehicleclass',
		)
	);
	$content .= table_rows::tr_setting_checkbox(
		array(
			'id'      => 'hide_vehicleclass',
			'label'   => 'Hide Vehicle Class Search',
			'name'    => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][hide_vehicleclass]',
			'checked' => $checked,
		)
	);

	$checked  = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'inventory_display',
			'list',
			'search_filters',
			'general',
			'hide_certified_saleclass',
		)
	);
	$content .= table_rows::tr_setting_checkbox(
		array(
			'id'      => 'hide_certified_saleclass',
			'label'   => 'Hide Certified Saleclass',
			'name'    => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][hide_certified_saleclass]',
			'checked' => $checked,
		)
	);

	if ( Display::flamingo_theme_check() ) {
		$checked  = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'list',
				'search_filters',
				'general',
				'hide_features',
			)
		);
		$content .= table_rows::tr_setting_checkbox(
			array(
				'id'      => 'hide_features',
				'label'   => 'Hide Features Search',
				'name'    => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][hide_features]',
				'checked' => $checked,
			)
		);
	}

	$value    = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'inventory_display',
			'list',
			'search_filters',
			'general',
			'price_range',
		)
	);
	$content .= table_rows::tr_setting_textarea(
		array(
			'label' => 'List Search Price Range',
			'id'    => 'theme[search_filters][price_range]',
			'name'  => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][price_range]',
			'value' => $value,
		)
	);

	$theme = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'general',
			'name',
		)
	);
	if ( Display::flamingo_theme_check() || 'bobcat' === strtolower( $theme ) ) {
		$value    = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'list',
				'search_filters',
				'general',
				'odometer_range',
			)
		);
		$content .= table_rows::tr_setting_textarea(
			array(
				'label' => 'List Search Odometer Range',
				'id'    => 'theme[search_filters][odometer_range]',
				'name'  => 'cdp_theme_options[theme][inventory_display][list][search_filters][general][odometer_range]',
				'value' => $value,
			)
		);
	}
	$content .= '</tbody>';
	$content .= '</table>';

	return $content;
}

function geo_settings() {
	$content  = '<table>';
	$content .= '<tbody>';
	$checked  = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'inventory_display',
			'list',
			'search_filters',
			'geo_search',
			'display_geo',
		)
	);
	$content .= table_rows::tr_setting_checkbox(
		array(
			'id'      => 'display_geo',
			'label'   => 'Display Geo (State/City) search',
			'name'    => 'cdp_theme_options[theme][inventory_display][list][search_filters][geo_search][display_geo]',
			'checked' => $checked,
		)
	);

	if ( Display::flamingo_theme_check() ) {
		$value_city = $value_add_dealer = $value_only_dealer = $value_default = false;
		if ( Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'list',
				'search_filters',
				'geo_search',
				'geo_options',
			)
		)
		) {
			$value = Option::check_for_option(
				'cdp_theme_options',
				array(
					'theme',
					'inventory_display',
					'list',
					'search_filters',
					'geo_search',
					'geo_options',
				)
			);
			switch ( $value ) {
				case 'geo_hide_cities':
					$value_city = true;
					break;
				case 'geo_add_dealer_names':
					$value_add_dealer = true;
					break;
				case 'geo_dealer_names_only':
					$value_only_dealer = true;
					break;
				default:
					$value_default = true;
					break;
			}
		}
		$content .= '<tr>';
		$content .= '<th><label>Geo Options</label></th>';
		$content .= '<td>';
		$content .= table_rows::tr_setting_radio(
			array(
				'id'    => 'geo_hide_cities',
				'label' => 'Hide Cities',
				'for'   => 'geo-hide-cities',
				'name'  => 'cdp_theme_options[theme][inventory_display][list][search_filters][geo_search][geo_options]',
				'value' => 'geo_hide_cities',
				'var'   => $value_city,
			)
		);
		$content .= '</td>';
		$content .= '<td>';
		$content .= table_rows::tr_setting_radio(
			array(
				'id'    => 'geo_add_dealer_names',
				'label' => 'Add Dealer Name',
				'for'   => 'geo-dealer-names',
				'name'  => 'cdp_theme_options[theme][inventory_display][list][search_filters][geo_search][geo_options]',
				'value' => 'geo_add_dealer_names',
				'var'   => $value_add_dealer,
			)
		);
		$content .= '</td>';
		$content .= '<td>';
		$content .= table_rows::tr_setting_radio(
			array(
				'id'    => 'geo_dealer_names_only',
				'label' => 'Only Display Dealer Name',
				'for'   => 'geo-default',
				'name'  => 'cdp_theme_options[theme][inventory_display][list][search_filters][geo_search][geo_options]',
				'value' => 'geo_dealer_names_only',
				'var'   => $value_only_dealer,
			)
		);
		$content .= '</td>';
		$content .= '<td>';
		$content .= table_rows::tr_setting_radio(
			array(
				'id'    => 'geo_default',
				'label' => 'Default',
				'for'   => 'geo-default',
				'name'  => 'cdp_theme_options[theme][inventory_display][list][search_filters][geo_search][geo_options]',
				'value' => 'geo_default',
				'var'   => $value_default,
			)
		);
		$content .= '</td></tr>';
	} else {
		$checked  = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'list',
				'search_filters',
				'geo_search',
				'add_geo_zip',
			)
		);
		$content .= table_rows::tr_setting_checkbox(
			array(
				'id'      => 'add_geo_zip',
				'label'   => 'Add Geo Zip to Search',
				'name'    => 'cdp_theme_options[theme][inventory_display][list][search_filters][geo_search][add_geo_zip]',
				'checked' => $checked,
			)
		);
	}
	$content .= '</tbody></table>';

	return $content;
}
