<?php

namespace CarDealerPress\Templates\Inventory;

?>

<div id="inventory-wrapper">
	<div id="inventory-listing">
		<div class="breadcrumbs">
		<?php
		use CarDealerPress\Includes\Helpers\Option;
			use CarDealerPress\templates\partials\inventory\Search_Bar_Filters;

			echo $fn_inventory->display_breadcrumb( $this->parameters, $this->company, $this->theme_options['theme']['overrides']['custom_contact'] );
		?>
		</div>
		<hr class="full-divider">

		<div id="inventory-quick-links">
			<?php
			$back_links    = '';
			$search_params = '';
			$link_params   = array( 'saleclass' => $this->parameters['saleclass'] );
			if ( isset( $this->parameters['make'] ) && 'all' !== $this->parameters['make'] ) {
				$link                = $fn_inventory->generate_inventory_link(
					$url_rule,
					$this->parameters,
					'',
					array(
						'make',
						'model',
						'trim',
					)
				);
				$back_links          = '<div class="quick-back-link"><a href="' . $link . '">View all Makes</a></div>';
				$link_params['make'] = $this->parameters['make'];
				$search_params       = '<input id="search-make" type="hidden" readonly value="' . $this->parameters['make'] . '" />';
				if ( isset( $this->parameters['model'] ) && 'all' !== $this->parameters['model'] ) {
					$link                 = $fn_inventory->generate_inventory_link(
						$url_rule,
						$this->parameters,
						'',
						array(
							'model',
							'trim',
						)
					);
					$back_links          .= '<div class="quick-back-link"><a href="' . $link . '">View all Models</a></div>';
					$link_params['model'] = $this->parameters['model'];
					$search_params       .= '<input id="search-model" type="hidden" readonly value="' . $this->parameters['model'] . '" />';
					if ( isset( $this->parameters['trim'] ) && 'all' !== $this->parameters['trim'] ) {
						$link           = $fn_inventory->generate_inventory_link( $url_rule, $this->parameters, '', array( 'trim' ) );
						$back_links    .= '<div class="quick-back-link"><a href="' . $link . '">View all Trims</a></div>';
						$search_params .= '<input id="search-trim" type="hidden" readonly value="' . $this->parameters['trim'] . '" />';
					} else {
						echo '<div id="trim-wrapper" class="quick-link-items">';
						foreach ( $trims as $trim ) {
							$trim_safe = str_replace( '/', '%2F', $trim );
							$link      = $fn_inventory->generate_inventory_link( $url_rule, $this->parameters, array( 'trim' => $trim_safe ) );
							echo '<div class="quick-link-item"><a href="' . $link . '">' . $trim . '</a></div>';
						}
						echo '</div>';
					}
				} else {
					echo '<div id="model-wrapper" class="quick-link-items">';
					foreach ( $models as $model ) {
						$model_safe = str_replace( '/', '%2F', $model );
						$link       = $fn_inventory->generate_inventory_link( $url_rule, $this->parameters, array( 'model' => $model_safe ) );
						echo '<div class="quick-link-item"><a href="' . $link . '">' . $model . '</a></div>';
					}
					echo '</div>';
				}
			} else {
				echo '<div id="make-wrapper" class="quick-link-items">';
				foreach ( $makes as $make ) {
					$make_safe = str_replace( '/', '%2F', $make );
					$link      = $fn_inventory->generate_inventory_link( $url_rule, $this->parameters, array( 'make' => $make_safe ) );
					echo '<div class="quick-link-item"><a href="' . $link . '">' . $make . '</a></div>';
				}
				echo '</div>';
			}
			echo ( $back_links ) ? '<div id="quick-back-links">' . $back_links . '</div>' : '';
			echo ( $search_params ) ? '<div id="hidden-search-params">' . $search_params . '</div>' : '';
			?>
		</div>
		<hr class="full-divider">

		<div id="inventory-search-wrapper">
			<div class="inventory-search-text-wrapper">
				<div id="inventory-search-text" class="<?php echo $search_input_class; ?>">
					<input id="inventory-search-box" class="text-search" name="search"
						   value="<?php echo $this->parameters['search'] ?? null; ?>"/>
					<div id="inventory-search-submit">Search</div>
				</div>
			</div>
			<form action="#" method="POST" id="inventory-search"> <!-- Vehicle Search -->
				<input type="hidden" id="hidden-rewrite" value="
				<?php
				if ( isset( $rules['^(inventory)'] ) ) {
					echo 'true';
				}
				?>
				" name="h_taxonomy"/>
				<input type="hidden" id="hidden-saleclass"
					   value="<?php echo ucwords( strtolower( $this->parameters['saleclass'] ) ); ?>"
					   name="h_saleclass"/>
				<div id="inventory-search-advance" style="display: none;">
					<div id="price-range-wrapper" class="search-wrapper">
						<div id="price-range-text" class="search-text">
							<?php $range_flag = ( isset( $this->parameters['price_from'] ) && isset( $this->parameters['price_to'] ) ) ? 'true' : 'false'; ?>
							<label for="price-range-values">Price Range:</label>
							<input type="text" id="price-range-values" class="search-values" readonly/>
							<input type="hidden" value="<?php echo $range_flag; ?>" id="price-range-flag"/>
						</div>
						<div id="price-range"></div>
						<?php
						$price_from = $this->parameters['price_from'] ?? null;
						$price_to   = $this->parameters['price_to'] ?? null;

						$price_range_list = Option::check_for_option(
							'cdp_theme_options',
							array(
								'theme',
								'inventory_display',
								'list',
								'search_filters',
								'general',
								'price_range',
							)
						);
						$price_range_list = explode( ',', $price_range_list );
						$low_price        = array_shift( $price_range_list );
						$high_price       = array_pop( $price_range_list );

						$range_data = array(
							'type'    => 'price',
							'step'    => 1000,
							'default' => array(
								'low'  => $low_price,
								'high' => $high_price,
							),
							'search'  => array(
								'from' => $price_from,
								'to'   => $price_to,
							),
						);
						echo $fn_inventory->build_slider_script( $range_data );
						?>
					</div>
					<div id="year-range-wrapper" class="search-wrapper">
						<div id="year-range-text" class="search-text">
							<?php $range_flag = ( isset( $this->parameters['year_from'] ) && isset( $this->parameters['year_to'] ) ) ? 'true' : 'false'; ?>
							<label for="year-range-values">Year Range:</label>
							<input type="text" id="year-range-values" class="search-values" readonly/>
							<input type="hidden" value="<?php echo $range_flag; ?>" id="year-range-flag"/>
						</div>
						<div id="year-range"></div>
						<?php
						$year_from = $this->parameters['year_from'] ?? null;
						$year_to   = $this->parameters['year_to'] ?? null;

						$years = $ext_functions->get_year_list();
						$low   = array_shift( $years['data'] );
						$high  = array_pop( $years['data'] );

						$range_data = array(
							'type'    => 'year',
							'step'    => 1,
							'default' => array(
								'low'  => $low,
								'high' => $high,
							),
							'search'  => array(
								'from' => $year_from,
								'to'   => $year_to,
							),
						);
						echo $fn_inventory->build_slider_script( $range_data );
						?>
					</div>
					<div id="odometer-range-wrapper" class="search-wrapper">
						<div id="odometer-range-text" class="search-text">
							<?php $range_flag = ( isset( $this->parameters['mileage_from'] ) && isset( $this->parameters['mileage_to'] ) ) ? 'true' : 'false'; ?>
							<label for="odometer-range-values">Odometer Range:</label>
							<input type="text" id="odometer-range-values" class="search-values" readonly/>
							<input type="hidden" value="<?php echo $range_flag; ?>" id="odometer-range-flag"/>
						</div>
						<div id="odometer-range"></div>
						<?php
						$mileage_from = $this->parameters['mileage_from'] ?? null;
						$mileage_to   = $this->parameters['mileage_to'] ?? null;

						$odometer_range_list = Option::check_for_option(
							'cdp_theme_options',
							array(
								'theme',
								'inventory_display',
								'list',
								'search_filters',
								'general',
								'odometer_range',
							)
						);
						$odometer_range_list = explode( ',', $odometer_range_list );
						$low_odometer        = array_shift( $odometer_range_list );
						$high_odometer       = array_pop( $odometer_range_list );

						$range_data = array(
							'type'    => 'odometer',
							'step'    => 1000,
							'default' => array(
								'low'  => $low_odometer,
								'high' => $high_odometer,
							),
							'search'  => array(
								'from' => $mileage_from,
								'to'   => $mileage_to,
							),
						);
						echo $fn_inventory->build_slider_script( $range_data );
						?>
					</div>
					<hr class="inventory-hr">
					<?php
					$hide_vehicleclass = Option::check_for_option(
						'cdp_theme_options',
						array(
							'theme',
							'inventory_display',
							'list',
							'search_filters',
							'general',
							'hide_vehicleclass',
						)
					);
					if ( '' === $hide_vehicleclass ) {
						echo '<div class="inventory-advance-param">';
						echo Search_Bar_Filters::vehicleclass_dropdown();
						echo '</div>';
					}
					?>
					<?php
					$hide_saleclass = Option::check_for_option(
						'cdp_theme_options',
						array(
							'theme',
							'inventory_display',
							'list',
							'search_filters',
							'general',
							'hide_saleclass',
						)
					);
					if ( '' === $hide_saleclass ) {
						echo '<div class="inventory-advance-param">';
						echo '<label class="inventory-label">Sale Class:</label><br/>';
						echo Search_Bar_Filters::sale_class_dropdown(
							array(
								'parameters' => $this->parameters,
								'all_link'   => $all_link,
								'new_link'   => $new_link,
								'used_link'  => $used_link,
								'cert_link'  => $cert_link,
								'heading'    => 'Sale Class',
							)
						);
						echo '</div>';
					}
					?>
					<?php if ( $this->theme_options['theme']['inventory_display']['list']['search_filters']['geo_search']['display_geo'] ) { ?>
						<div class="inventory-advance-param">
							<label class="inventory-label">Vehicle Location: </label>
							<?php
							echo Search_Bar_Filters::geo_dropdown(
								array(
									'dealer_geo' => $dealer_geo,
									'geo_params' => $geo_params,
								)
							);
							?>
						</div>
					<?php } ?>
					<div class="inventory-advance-param">
						<div class="reset-search"><a
									href="<?php echo ! empty( $this->parameters['saleclass'] ) ? '/inventory/' . $this->parameters['saleclass'] . '/' : '/inventory/'; ?>">Reset
								Search</a></div>
					</div>
				</div>
				<input id="search-form-submit" style="display: none;" type="submit" value="go"/>
			</form>
			<div id="inventory-advance-show" data-name="hidden">
				Advanced Search
			</div>
		</div>

		<hr class="full-divider">
		<div id="inventory-total-found">Found <span><?php echo $vehicle_total_found; ?></span>
			Results <?php echo ! empty( $geo_output['search'] ) ? 'in ' . $geo_output['search'] : ''; ?></div>
		<div class="inventory-pager"><?php echo paginate_links( $args ); ?></div>

		<div id="inventory-inventory-wrapper">
			<?php
			if ( empty( $inventory ) ) {
				echo $ext_functions->extender_vehicle_list_page_no_results();
			} else {
				foreach ( $inventory as $vehicle ) {
					$generic_vehicle_title = $vehicle['year'] . ' ' . $vehicle['make'] . ' ' . $vehicle['model'];
					$link_params           = array(
						'year'  => $vehicle['year'],
						'make'  => $vehicle['make'],
						'model' => $vehicle['model'],
						'state' => $state,
						'city'  => $city,
						'vin'   => $vehicle['vin'],
						'id'    => $vehicle['id'],
					);
					// $link = get_inventory_link( $rules['^(inventory)'], $link_params, 1);
					$link = $fn_inventory->generate_inventory_link( $url_rule, $link_params, '', '', 1 );
					?>
					<div id="<?php echo $vehicle['vin']; ?>"
						 class="inventory-vehicle saleclass-<?php echo strtolower( $vehicle['saleclass'] ); ?>">

						<div class="inventory-vehicle-top">
							<?php ( $vehicle['headline'] ? '<div class="inventory-list-headline">' . $vehicle['headline'] . '</div>' : '' ); ?>
							<div class="vehicle-title">
								<a href="<?php echo $link; ?>" title="<?php echo $generic_vehicle_title; ?>"
								   class="title-details">
									<span class="title-year inventory-year form-value"
										  data-name="year"><?php echo $vehicle['year']; ?></span>
									<span class="title-make inventory-make form-value"
										  data-name="make"><?php echo $vehicle['make']; ?></span>
									<span class="title-model inventory-model form-value"
										  data-name="model"><?php echo $vehicle['model']; ?></span>
									<span class="title-trim inventory-trim form-value"
										  data-name=trim><?php echo $vehicle['trim']; ?></span>
									<span class="inventory-saleclass form-value" data-name="saleclass"
										  style="display: none;"><?php echo $vehicle['saleclass']; ?></span>
								</a>
							</div>
						</div>
						<div class="inventory-vehicle-middle">
							<div class="middle-left">
								<?php
								$price           = $fn_inventory->get_price_display(
									array(
										'company' => $this->company,
										'vehicle' => $vehicle,
										'theme'   => 'inventory',
									)
								);
								$loan_parameters = array(
									'make'      => $vehicle['make'],
									'model'     => $vehicle['model'],
									'trim'      => $vehicle['trim'],
									'year'      => $vehicle['year'],
									'saleclass' => $vehicle['saleclass'],
								);
								?>
								<div class="inventory-price-wrap">
									<?php
									echo( ! empty( $price['msrp_text'] ) && 'new' === strtolower( $vehicle['saleclass'] ) ? $price['msrp_text'] : '' );
									echo $price['primary_text'] . $price['compare_text'] . $price['expire_text'] . $price['hidden_prices'];
									echo $fn_inventory->get_loan_value( $this->theme_options['theme']['inventory_display']['payment_calculator'], $price['primary_price'], $loan_parameters );
									?>
								</div>
								<?php
								if ( $gform_class ) {
									echo '<div class="inventory-more-info"><div class="inventory-more-info-button ' . $gform_class . '" data-name="Confirm Availability" data-key="' . $vehicle['vin'] . '">' . ( empty( $this->theme_options['theme']['inventory_display']['list']['general']['buttons']['form']['name'] ) ? 'Get E-Price' : $this->theme_options['theme']['inventory_display']['list']['general']['buttons']['form']['name'] ) . '</div></div>';
								}
								?>
							</div>
							<div class="middle-center">
								<div class="photo">
									<a href="<?php echo $link; ?>" title="<?php echo $generic_vehicle_title; ?>">
										<?php
										$list_image = $fn_inventory->no_photo_replace( $vehicle['thumbnail'] );
										echo( $vehicle['sold_on'] ? '<img class="marked-sold-overlay" src="' . CDP_IMG . 'templates/inventory/sold_overlay.png" />' : '' );
										echo '<img class="list-image" src="' . $list_image . '" alt="' . $generic_vehicle_title . '" title="' . $generic_vehicle_title . '" />';
										?>
									</a>
								</div>
							</div>
							<div class="middle-right">
								<div class="vehicle-information">
									<div>Stock #: <span class="vehicle-stock inventory-stock-number form-value" data-name="stock_number"><?php echo $vehicle['stock']; ?></span></div>
									<div>VIN: <span class="vehicle-vin inventory-vin form-value" data-name="vin"><?php echo $vehicle['vin']; ?></span></div>
									<?php
									echo( ! empty( $vehicle['exterior'] ) ? '<div><span class="exterior-color">Exterior: ' . $vehicle['exterior'] . '</span></div>' : '' );
									echo( ! empty( $vehicle['interior'] ) ? '<div><span class="interior-color">Interior: ' . $vehicle['interior'] . '</span></div>' : '' );
									?>
								</div>
								<div class="inventory-more-info">
									<div class="inventory-more-info-button">
										<a href="<?php echo $link; ?>">
											<?php echo( empty( $this->theme_settings['theme']['inventory_display']['list']['general']['buttons']['vdp_link']['name'] ) ? 'More Info' : $this->theme_settings['theme']['inventory_display']['list']['general']['buttons']['vdp_link']['name'] ); ?>
										</a>
									</div>
								</div>
							</div>
						</div>
						<div class="inventory-vehicle-bottom">
							<?php
							echo $fn_inventory->get_dealer_contact_info(
								array(
									'vehicle' => $vehicle,
									'company' => $this->company,
								)
							);
							if ( $this->theme_options['theme']['inventory_display']['tags']['display_tags'] ) {
								if ( ! empty( $vehicle['tags'] ) ) {
									echo '<div class="inventory-listing-tags">';
									$tag_icons = $fn_inventory->build_tag_icons( $vehicle['tags'], $vehicle['vin'] );
									echo $tag_icons;
									echo '</div>';
								}
							}

							if ( $vehicle['autocheck'] ) {
								echo $fn_inventory->display_autocheck_image( $vehicle['vin'], $vehicle['saleclass'] );
							}
							?>
						</div>
						<div class="inventory-form-container"></div>
						<?php
						if ( ! empty( $vehicle['carfax'] ) && 'used' === strtolower( $vehicle['saleclass'] ) ) {
							echo $fn_inventory->cdp_display_carfax( $vehicle['vin'], $vehicle['carfax'], $vehicle['carfax_image_url'], 'list' );
						}
						?>
					</div>
					<?php
				}
			}
			?>
			<div class="inventory-pager"><?php echo paginate_links( $args ); ?></div>
			<?php
			if ( function_exists( 'gravity_form' ) && $this->theme_options['theme']['inventory_display']['list']['general']['buttons']['form']['gform_id'] ) {
				echo '<div id="hidden-form-wrapper" ><div id="list-gform-wrapper" >';
				echo gravity_form( $this->theme_options['theme']['inventory_display']['list']['general']['buttons']['form']['gform_id'], true, false, false, '', true );
				echo '</div></div>';
			}
			?>
			<div id="inventory-disclaimer">
				<?php
				echo $fn_inventory->get_disclaimer();
				?>
			</div>
		</div>
		<?php
		if ( is_active_sidebar( 'vehicle-listing-page' ) ) :
			echo '<div id="list-widget-area">';
			dynamic_sidebar( 'vehicle-listing-page' );
			echo '</div>';
		endif;
		?>
	</div>
</div>
