<?php

namespace CarDealerPress\Templates\Inventory;

?>
<div id="inventory-wrapper">
	<div id="inventory-listing">
		<div class="breadcrumbs">
		<?php
		use CarDealerPress\Includes\Helpers\Option;
			use CarDealerPress\templates\partials\inventory\Search_Bar_Filters;

			echo $fn_inventory->display_breadcrumb( $this->parameters, $this->company, $this->theme_options['theme']['overrides']['custom_contact'] );
		?>
			</div>
		<div id="inventory-quick-links">
			<div id="inventory-quick-selects">
				<div class="quick-link-wrap">
					<label class="inventory-label">Makes:</label>
					<select onchange="document.location = this.value;" class="inventory-select inventory-select-makes">
						<option value="
						<?php
						echo $fn_inventory->generate_inventory_link(
							$url_rule,
							$this->parameters,
							'',
							array(
								'make',
								'model',
								'trim',
							)
						);
						?>
						">
							All Makes
						</option>
						<?php
						$shown_makes = array();
						foreach ( $makes as $make ) {
							$make_safe = str_replace( '/', '%2F', $make );
							$make_safe = ucwords( strtolower( $make_safe ) );
							if ( ! in_array( $make_safe, $shown_makes, true ) ) {
								$shown_makes[] = $make_safe;
								$link          = $fn_inventory->generate_inventory_link(
									$url_rule,
									$this->parameters,
									array( 'make' => $make_safe ),
									array(
										'model',
										'trim',
									)
								);
								$selected      = ( isset( $this->parameters['make'] ) ? ( rawurlencode( strtolower( $make_safe ) ) === strtolower( $this->parameters['make'] ) ? 'selected' : '' ) : '' );
								echo '<option value="' . $link . '" ' . $selected . ' >' . $make . '</option>';
							}
						}
						?>
					</select>
				</div>
				<div class="quick-link-wrap">
					<label class="inventory-label">Models:</label>
					<select onchange="document.location = this.value;"
							class="inventory-select inventory-select-models"
							<?php
							if ( ! isset( $model_count ) || 0 === $model_count ) {
								echo 'readonly';
							}
							?>
					>
						<option value="
						<?php
						echo $fn_inventory->generate_inventory_link(
							$url_rule,
							$this->parameters,
							'',
							array(
								'model',
								'trim',
							)
						);
						?>
						"><?php echo $model_text; ?></option>
						<?php
						if ( $model_count > 0 ) {
							foreach ( $models as $model ) {
								$model_safe = str_replace( '/', '%2F', $model );
								$link       = $fn_inventory->generate_inventory_link( $url_rule, $this->parameters, array( 'model' => $model_safe ), array( 'trim' ) );
								$selected   = ( isset( $this->parameters['model'] ) ? ( rawurlencode( strtolower( $model_safe ) ) === strtolower( $this->parameters['model'] ) ? 'selected' : '' ) : '' );
								echo '<option value="' . $link . '" ' . $selected . ' >' . $model . '</option>';
							}
						}
						?>
					</select>
				</div>
				<div class="quick-link-wrap">
					<label class="inventory-label">Trims:</label>
					<select onchange="document.location = this.value;"
							class="inventory-select inventory-select-trims"
							<?php
							if ( ! isset( $trim_count ) || 0 === $trim_count ) {
								echo 'readonly';
							}
							?>
					>
						<option value="<?php echo remove_query_arg( array( 'trim' ) ); ?>"><?php echo $trim_text; ?></option>
						<?php
						if ( isset( $trim_count ) && 0 !== $trim_count ) {
							if ( 1 === $trim_count ) {
								$this->parameters['trim'] = $trims[0];
							}
							foreach ( $trims as $trim ) {
								$trim_safe = str_replace( '/', '%2F', $trim );
								$selected  = ( isset( $this->parameters['trim'] ) ? ( rawurlencode( strtolower( $trim_safe ) ) === strtolower( $this->parameters['trim'] ) ? 'selected' : '' ) : '' );
								echo '<option value="' . add_query_arg( array( 'trim' => urlencode( $trim_safe ) ) ) . '" ' . $selected . '> ' . $trim . '</option>';
							}
						}
						?>
					</select>
				</div>
			</div>
			<div id="inventory-search-text" class="<?php echo $search_input_class; ?>">
				<input id="inventory-search-box" class="text-search list-search-value" name="search"
					   value="<?php echo $this->parameters['search'] ?? null; ?>"/>
				<button onclick="return get_list_input_values(event);" id="inventory-search-submit">GO
				</button>
			</div>
		</div>
		<div id="inventory-search-wrapper"> <!-- Search Wrapper -->
			<div id="inventory-search-advance" style="display: none;">
				<div class="inventory-advance-param">
					<!--                    -->
					<?php
					// echo Search_Bar_Filters::range_dropdown(array('name'=> 'price','parameters'=> $this->parameters));
					?>
					<label class="inventory-label" for="price-range">Price Range
						-</label><span>(From: 1000 To: 10000)</span><br>
					<label class="inventory-label" for="price_from">From:</label>
					<input id="inventory-price-from" class="list-search-value" name="price_from"
						   value="<?php echo $this->parameters['price_from'] ?? null; ?>"/>
					<label class="inventory-label" for="price_to">To:</label>
					<input id="inventory-price-to" class="list-search-value" name="price_to"
						   value="<?php echo $this->parameters['price_to'] ?? null; ?>"/>
				</div>
				<div class="inventory-advance-param">
					<label class="inventory-label" for="year-range">Year -</label><span>(From: 2010 To: 2013)</span><br>
					<label class="inventory-label" for="year_from">From:</label>
					<input id="inventory-year-from" class="list-search-value" name="year_from"
						   value="<?php echo $this->parameters['year_from'] ?? null; ?>"/>
					<label class="inventory-label" for="year_to">To:</label>
					<input id="inventory-year-to" class="list-search-value" name="year_to"
						   value="<?php echo $this->parameters['year_to'] ?? null; ?>"/>
				</div>
				<div class="inventory-advance-param">
					<label class="inventory-label" for="mileage-range">Odometer
						-</label><span>(From: 20000 To: 50000)</span><br>
					<label class="inventory-label" for="mileage_from">From:</label>
					<input id="inventory-mileage-from" class="list-search-value" name="mileage_from"
						   value="<?php echo $this->parameters['mileage_from'] ?? null; ?>"/>
					<label class="inventory-label" for="mileage_to">To:</label>
					<input id="inventory-mileage-to" class="list-search-value" name="mileage_to"
						   value="<?php echo $this->parameters['mileage_to'] ?? null; ?>"/>
				</div>
				<hr class="inventory-hr">
				<?php
				$hide_vehicleclass = Option::check_for_option(
					'cdp_theme_options',
					array(
						'theme',
						'inventory_display',
						'list',
						'search_filters',
						'general',
						'hide_vehicleclass',
					)
				);
				if ( '' === $hide_vehicleclass ) {
					echo '<div class="inventory-advance-param">';
					echo Search_Bar_Filters::vehicleclass_dropdown();
					echo '</div>';
				}
				?>
				<?php
				$hide_saleclass = Option::check_for_option(
					'cdp_theme_options',
					array(
						'theme',
						'inventory_display',
						'list',
						'search_filters',
						'general',
						'hide_saleclass',
					)
				);
				if ( '' === $hide_saleclass ) {
					echo '<div class="inventory-advance-param">';
					echo '<label class="inventory-label">Sale Class: </label>';
					echo Search_Bar_Filters::sale_class_dropdown(
						array(
							'parameters' => $this->parameters,
							'all_link'   => $all_link,
							'new_link'   => $new_link,
							'used_link'  => $used_link,
							'cert_link'  => $cert_link,
							'heading'    => 'Sale Class',
						)
					);
					echo '</div>';
				}
				?>
				<?php if ( $this->theme_options['theme']['inventory_display']['list']['search_filters']['geo_search']['display_geo'] ) { ?>
					<div class="inventory-advance-param">
						<label class="inventory-label">Vehicle Location: </label>
						<?php
						echo Search_Bar_Filters::geo_dropdown(
							array(
								'dealer_geo' => $dealer_geo,
								'geo_params' => $geo_params,
							)
						);
						?>
					</div>
				<?php } ?>
				<div class="inventory-advance-param">
					<div class="reset-search"><a
								href="<?php echo ! empty( $this->parameters['saleclass'] ) ? '/inventory/' . $this->parameters['saleclass'] . '/' : '/inventory/'; ?>">Reset
							Search</a></div>
				</div>

			</div>
			<div id="inventory-advance-show" data-name="hidden">
				Advanced Search
			</div>
		</div>
		<div id="inventory-total-found">Found <?php echo $vehicle_total_found; ?> Exact
			Matches <?php echo ! empty( $geo_output['search'] ) ? '<br/>in ' . $geo_output['search'] : ''; ?></div>

		<div class="inventory-pager"><?php echo paginate_links( $args ); ?></div>

		<div id="inventory-sorting">Sort options:
			<a class="<?php echo $sort_year_class ?? ''; ?>"
			   href="<?php echo @add_query_arg( array( 'manual_sort' => $sort_year ), $do_not_carry ); ?>">Year</a> /
			<a class="<?php echo $sort_price_class ?? ''; ?>"
			   href="<?php echo @add_query_arg( array( 'manual_sort' => $sort_price ), $do_not_carry ); ?>">Price</a> /
			<a class="<?php echo $sort_mileage_class ?? ''; ?>"
			   href="<?php echo @add_query_arg( array( 'manual_sort' => $sort_mileage ), $do_not_carry ); ?>">Mileage</a>
		</div>

		<div id="inventory-content-wrapper">
			<?php
			if ( empty( $inventory ) ) {
				echo $ext_functions->extender_vehicle_list_page_no_results();
			} else {
				foreach ( $inventory as $vehicle ) {
					$generic_vehicle_title = $vehicle['year'] . ' ' . $vehicle['make'] . ' ' . $vehicle['model'];
					$link_params           = array(
						'year'  => $vehicle['year'],
						'make'  => $vehicle['make'],
						'model' => $vehicle['model'],
						'state' => $state,
						'city'  => $city,
						'vin'   => $vehicle['vin'],
						'id'    => $vehicle['id'],
					);
					$inventory_url         = $fn_inventory->generate_inventory_link( $url_rule, $link_params, '', '', 1 );
					?>

					<div class="inventory-vehicle saleclass-<?php echo strtolower( $vehicle['saleclass'] ); ?>"
						 id="<?php echo $vehicle['vin']; ?>">
						<div class="inventory-vehicle-top"><?php echo $vehicle['headline'] ? '<div class="inventory-list-headline">' . $vehicle['headline'] . '</div>' : ''; ?></div>
						<div class="inventory-vehicle-left">
							<div class="photo">
								<a href="<?php echo $inventory_url; ?>" title="<?php echo $generic_vehicle_title; ?>">
									<?php
									echo $vehicle['sold_on'] ? '<img class="marked-sold-overlay" src="' . CDP_IMG . 'templates/inventory/sold_overlay.png" />' : '';
									$list_image = $fn_inventory->no_photo_replace( $vehicle['thumbnail'] );
									?>
									<img class="list-image" src="<?php echo $list_image; ?>"
										 alt="<?php echo $generic_vehicle_title; ?>"
										 title="<?php echo $generic_vehicle_title; ?>"/>
								</a>
							</div>
						</div>
						<div class="inventory-vehicle-right">

							<div class="inventory-vehicle-inner-wrap">
								<div class="inventory-vehicle-inner-left">
									<div class="inventory-vehicle-title">
										<a href="<?php echo $inventory_url; ?>"
										   title="<?php echo $generic_vehicle_title; ?>" class="title-details">
											<div>
												<span class="title-year inventory-year form-value"
													  data-name="year"><?php echo $vehicle['year']; ?></span>
												<span class="title-make inventory-make form-value"
													  data-name="make"><?php echo $vehicle['make']; ?></span>
												<span class="title-model inventory-model form-value"
													  data-name="model"><?php echo $vehicle['model']; ?></span>
											</div>
											<span class="title-trim inventory-trim form-value"
												  data-name="trim"><?php echo $vehicle['trim']; ?>&nbsp;</span>
											<span class="inventory-saleclass form-value" data-name="saleclass"
												  style="display: none;"><?php echo $vehicle['saleclass']; ?></span>
										</a>
									</div>
									<div class="inventory-vehicle-identifier">Stock #: <span
												class="vehicle-stock inventory-stock-number form-value"
												data-name="stock_number"><?php echo $vehicle['stock']; ?></span><br/> VIN:
										<span class="vehicle-vin inventory-vin form-value"
											  data-name="vin"><?php echo $vehicle['vin']; ?></span></div>
									<div class="inventory-vehicle-extras">
										<?php
										echo $vehicle['exterior'] ? '<span class="exterior-color"> Exterior: ' . $vehicle['exterior'] . '</span>' : '';
										echo $vehicle['interior'] ? '<span class="interior-color"> Interior: ' . $vehicle['interior'] . '</span>' : '';
										echo $vehicle['odometer'] && 'used' === strtolower( $vehicle['saleclass'] ) ? '<br><span class="odometer-color"> Odometer: ' . $vehicle['odometer'] . '</span>' : '';
										?>
									</div>
								</div>
								<div class="inventory-vehicle-inner-right">
									<?php
									$price = $fn_inventory->get_price_display(
										array(
											'company' => $this->company,
											'vehicle' => $vehicle,
											'theme'   => 'inventory',
										)
									);
									?>
									<div class="inventory-price-wrap">
										<?php
										echo ( ! empty( $price['msrp_text'] ) && 'new' === strtolower( $vehicle['saleclass'] ) ? $price['msrp_text'] : '' ) . $price['primary_text'] . $price['compare_text'] . $price['expire_text'] . $price['hidden_prices'];
										$loan_parameters = array(
											'make'      => $vehicle['make'],
											'model'     => $vehicle['model'],
											'trim'      => $vehicle['trim'],
											'year'      => $vehicle['year'],
											'saleclass' => $vehicle['saleclass'],
										);
										echo $fn_inventory->get_loan_value( $this->theme_options['theme']['inventory_display']['payment_calculator'], $price['primary_price'], $loan_parameters );
										?>
									</div>
									<div class="inventory-more-info">
										<div class="inventory-more-info-button"><a href="<?php echo $inventory_url; ?>">
												<?php
												echo( empty( $this->theme_settings['theme']['inventory_display']['list']['general']['buttons']['vdp_link']['name'] ) ? 'More Info' : $this->theme_settings['theme']['inventory_display']['list']['general']['buttons']['vdp_link']['name'] );
												?>
												</a></div>
									</div>

								</div>
							</div>
						</div>
						<div class="inventory-vehicle-bottom">
							<div class="bottom-left">
								<?php
								if ( $this->theme_options['theme']['inventory_display']['tags']['display_tags'] ) {
									if ( ! empty( $vehicle['tags'] ) ) {
										echo '<div class="inventory-listing-tags">';
										$tag_icons = $fn_inventory->build_tag_icons( $vehicle['tags'], $vehicle['vin'] );
										echo $tag_icons;
										echo '</div>';
									}
								}
								?>
							</div>
							<div class="bottom-right">
								<?php
								echo $fn_inventory->get_dealer_contact_info(
									array(
										'vehicle' => $vehicle,
										'company' => $this->company,
									)
								);

								if ( $gform_class ) {
									$form_name = empty( $this->theme_options['theme']['inventory_display']['list']['general']['buttons']['form']['name'] ) ? 'Get E-Price' : $this->theme_options['theme']['inventory_display']['list']['general']['buttons']['form']['name'];
									echo '<div class="inventory-more-info list-form-button"><div class="inventory-more-info-button ' . $gform_class . '" data-name="' . $form_name . '" data-key="' . $vehicle['vin'] . '">' . $form_name . '</div></div>';
								}

								if ( $vehicle['autocheck'] ) {
									echo $fn_inventory->display_autocheck_image( $vehicle['vin'], $vehicle['saleclass'] );
								}
								?>
							</div>
						</div>
						<?php
						if ( ! empty( $vehicle['carfax'] ) && 'used' === strtolower( $vehicle['saleclass'] ) ) {
							echo $fn_inventory->cdp_display_carfax( $vehicle['vin'], $vehicle['carfax'], $vehicle['carfax_image_url'], 'list' );
						}
						?>
						<div class="inventory-form-container"></div>
					</div>

					<?php
				}
			}
			?>
			<div id="inventory-disclaimer">
				<?php
				echo $fn_inventory->get_disclaimer();
				?>
			</div>
		</div>
		<div class="inventory-pager"><?php echo paginate_links( $args ); ?></div>
		<?php
		if ( is_active_sidebar( 'vehicle-listing-page' ) ) :
			echo '<div id="list-widget-area">';
			dynamic_sidebar( 'vehicle-listing-page' );
			echo '</div>';
		endif;
		?>
	</div>
</div>
