<?php

namespace CarDealerPress\Templates\Inventory;

use CarDealerPress\Includes\Helpers\Option;
use CarDealerPress\templates\partials\inventory\Search_Bar_Filters;

?>

<div id="inventory-wrapper">
	<div id="inventory-listing">
		<div id="inventory-top"> <!-- Listing Top -->
			<div class="inventory-breadcrumb-wrapper">
				<div class="breadcrumbs">
					<?php
					echo $fn_inventory->display_breadcrumb( $this->parameters, $this->company, $this->theme_options['theme']['overrides']['custom_contact'], $this->parameters['saleclass'] );
					?>
					</div>
				<!-- Breadcrumbs -->
				<div class="inventory-pager"> <!-- Pager -->
					<?php echo paginate_links( $args ); ?>
				</div>
			</div>
			<div id="mobile-show-search">Display Search Options</div>
			<div id="inventory-search-wrapper"> <!-- Search Filter Wrapper -->
				<div id="search-top-wrapper">
					<?php
					$hide_saleclass = Option::check_for_option(
						'cdp_theme_options',
						array(
							'theme',
							'inventory_display',
							'list',
							'search_filters',
							'general',
							'hide_saleclass',
						)
					);
					if ( '' === $hide_saleclass ) {
						echo '<div id="saleclass-wrapper" class="inventory-option-wrapper search-option-top">';
						echo '<label class="inventory-label">Sale Class</label><br/>';
						echo Search_Bar_Filters::sale_class_dropdown(
							array(
								'parameters' => $this->parameters,
								'all_link'   => $all_link,
								'new_link'   => $new_link,
								'used_link'  => $used_link,
								'cert_link'  => $cert_link,
								'heading'    => 'Sale Class',
							)
						);
						echo '</div>';
					}
					?>
					<?php
					$hide_vehicleclass = Option::check_for_option(
						'cdp_theme_options',
						array(
							'theme',
							'inventory_display',
							'list',
							'search_filters',
							'general',
							'hide_vehicleclass',
						)
					);
					if ( '' === $hide_vehicleclass ) {
						echo '<div id="vehicleclass-wrapper" class="inventory-option-wrapper search-option-top">';
						echo Search_Bar_Filters::vehicleclass_dropdown();
						echo '</div>';
					}
					?>
					<div id="price-range-wrapper" class="inventory-option-wrapper search-option-top">
						<label class="inventory-label" for="price-range">Price Range</label><br/>
						<?php echo Search_Bar_Filters::price_range_dropdown( array( 'parameters' => $this->parameters ) ); ?>
					</div>
					<div id="inventory-search-text" class="search-option-top <?php echo $search_input_class; ?>">
						<label for="search">Inventory Search</label><br/>
						<input id="inventory-search-box"
							   class="text-search <?php echo isset( $this->parameters['search'] ) ? '' : 'invalid '; ?>list-search-value"
							   name="search" value="<?php echo $this->parameters['search'] ?? 'Text Search'; ?>"/>
					</div>
					<button onclick="return get_list_input_values(event);" id="inventory-search-submit">
						Search
					</button>
				</div>
				<div id="search-mid-wrapper">
					<div id="inventory-makes" class="inventory-option-wrapper search-option-mid"> <!-- Makes -->
						<label class="inventory-label">Makes</label><br/>
						<select class="inventory-select" onchange="document.location = this.value;">
							<option value="
							<?php
							echo $fn_inventory->generate_inventory_link(
								$url_rule,
								$this->parameters,
								'',
								array(
									'make',
									'model',
									'trim',
								)
							);
							?>
							">
								All Makes
							</option>
							<?php
							$shown_makes = array();
							foreach ( $makes as $make ) {
								$make_safe = str_replace( '/', '%2F', $make );
								$make_safe = ucwords( strtolower( $make_safe ) );
								if ( ! in_array( $make_safe, $shown_makes, true ) ) {
									$shown_makes[] = $make_safe;
									$link          = $fn_inventory->generate_inventory_link(
										$url_rule,
										$this->parameters,
										array( 'make' => $make_safe ),
										array(
											'model',
											'trim',
										)
									);
									$selected      = ( isset( $this->parameters['make'] ) ? ( rawurlencode( strtolower( $make_safe ) ) === strtolower( $this->parameters['make'] ) ? 'selected' : '' ) : '' );
									echo '<option value="' . $link . '" ' . $selected . ' >' . $make . '</option>';
								}
							}
							?>
						</select>
					</div>
					<div id="inventory-models" class="inventory-option-wrapper search-option-mid"> <!-- Models -->
						<label class="inventory-label">Models</label><br/>
						<select class="inventory-select"
								onchange="document.location = this.value;" 
								<?php
								if ( ! isset( $model_count ) || 0 === $model_count ) {
									echo 'readonly';
								}
								?>
								 >
							<option value="
							<?php
							echo $fn_inventory->generate_inventory_link(
								$url_rule,
								$this->parameters,
								'',
								array(
									'model',
									'trim',
								)
							);
							?>
							"><?php echo $model_text; ?></option>
							<?php
							if ( $model_count > 0 ) {
								foreach ( $models as $model ) {
									$model_safe = str_replace( '/', '%2F', $model );
									$link       = $fn_inventory->generate_inventory_link( $url_rule, $this->parameters, array( 'model' => $model_safe ), array( 'trim' ) );
									$selected   = ( isset( $this->parameters['model'] ) ? ( rawurlencode( strtolower( $model_safe ) ) === strtolower( $this->parameters['model'] ) ? 'selected' : '' ) : '' );
									echo '<option value="' . $link . '" ' . $selected . ' >' . $model . '</option>';
								}
							}
							?>
						</select>
					</div>
					<div id="inventory-trims" class="inventory-option-wrapper search-option-mid"> <!-- Trims -->
						<label class="inventory-label">Trims</label><br/>
						<select class="inventory-select"
								onchange="document.location = this.value;" 
								<?php
								if ( ! isset( $trim_count ) || 0 === $trim_count ) {
									echo 'readonly';
								}
								?>
								 >
							<option value="<?php echo remove_query_arg( array( 'trim' ) ); ?>"><?php echo $trim_text; ?></option>
							<?php
							if ( isset( $trim_count ) && 0 !== $trim_count ) {
								if ( 1 === $trim_count ) {
									$this->parameters['trim'] = $trims[0];
								}
								foreach ( $trims as $trim ) {
									$trim_safe = str_replace( '/', '%2F', $trim );
									$selected  = ( isset( $this->parameters['trim'] ) ? ( rawurlencode( strtolower( $trim_safe ) ) === strtolower( $this->parameters['trim'] ) ? 'selected' : '' ) : '' );
									echo '<option value="' . add_query_arg( array( 'trim' => urlencode( $trim_safe ) ) ) . '" ' . $selected . '> ' . $trim . '</option>';
								}
							}
							?>
						</select>
					</div>
					<?php if ( $this->theme_options['theme']['inventory_display']['list']['search_filters']['geo_search']['display_geo'] ) { ?>
						<div id="list-geo-filter" class="inventory-option-wrapper search-option-mid">
							<div class="inventory-label"><span>Vehicle Location</span></div>
							<?php
							echo Search_Bar_Filters::geo_dropdown(
								array(
									'dealer_geo' => $dealer_geo,
									'geo_params' => $geo_params,
								)
							);
							?>
						</div>
					<?php } ?>
				</div>
			</div>

			<div id="inventory-search-info"> <!-- Search Info -->
				<div id="inventory-total-found">Vehicles Found: 
				<?php
				echo $vehicle_total_found;
					echo ! empty( $geo_output['search'] ) ? ' in ' . $geo_output['search'] : '';
					echo ! empty( $geo_output['back_link'] ) ? ' | ' . $geo_output['back_link'] . 'Geo Search' : '';
				?>
				</div>
				<div id="inventory-sort-wrapper">
					<div id="sort-label">Sort by:</div>
					<div class="sort-value"><a class="<?php echo isset( $sort_year_class ) ? $sort_year_class : ''; ?>"
											   href="<?php echo @add_query_arg( array( 'manual_sort' => $sort_year ), $do_not_carry ); ?>">Year</a>
					</div>
					<div class="sort-value"><a
								class="<?php echo isset( $sort_price_class ) ? $sort_price_class : ''; ?>"
								href="<?php echo @add_query_arg( array( 'manual_sort' => $sort_price ), $do_not_carry ); ?>">Price</a>
					</div>
					<div class="sort-value"><a
								class="<?php echo isset( $sort_mileage_class ) ? $sort_mileage_class : ''; ?>"
								href="<?php echo @add_query_arg( array( 'manual_sort' => $sort_mileage ), $do_not_carry ); ?>">Mileage</a>
					</div>
				</div>
			</div>
		</div>
	</div>


	<div id="inventory-content"> <!-- Inventory -->
		<div id="inventory-listing-items"> <!-- Inventory Listing -->
			<?php
			if ( empty( $inventory ) ) {
				echo $ext_functions->extender_vehicle_list_page_no_results();
			} else {
				foreach ( $inventory as $vehicle ) :
					$generic_vehicle_title = $vehicle['year'] . ' ' . $vehicle['make'] . ' ' . $vehicle['model'];
					$link_params           = array(
						'year'  => $vehicle['year'],
						'make'  => $vehicle['make'],
						'model' => $vehicle['model'],
						'state' => $state,
						'city'  => $city,
						'vin'   => $vehicle['vin'],
						'id'    => $vehicle['id'],
					);
					$link                  = $fn_inventory->generate_inventory_link( $url_rule, $link_params, '', '', 1 );
					$price                 = $fn_inventory->get_price_display(
						array(
							'company' => $this->company,
							'vehicle' => $vehicle,
							'theme'   => 'inventory',
						)
					);
					?>
					<div class="inventory-item" id="<?php echo $vehicle['vin']; ?>"> <!-- Inventory Listing -->
						<div class="inventory-column-left"> <!-- inventory column left -->
							<div class="inventory-photo"> <!-- inventory photo -->
								<a href="<?php echo $link; ?>" title="<?php echo $generic_vehicle_title; ?>">
									<?php
									echo $vehicle['sold_on'] ? '<img class="marked-sold-overlay" src="' . CDP_IMG . 'templates/inventory/sold_overlay.png" />' : '';
									$list_image = $fn_inventory->no_photo_replace( $vehicle['thumbnail'] );
									?>
									<img class="list-image" src="<?php echo $list_image; ?>"
										 alt="<?php echo $generic_vehicle_title; ?>"
										 title="<?php echo $generic_vehicle_title; ?>"/>
								</a>
							</div>
							<!-- inventory icons -->
							<?php
							if ( $this->theme_options['theme']['inventory_display']['tags']['display_tags'] ) {
								if ( ! empty( $vehicle['tags'] ) ) {
									echo '<div class="inventory-listing-tags">';
									$tag_icons = $fn_inventory->build_tag_icons( $vehicle['tags'], $vehicle['vin'] );
									echo $tag_icons;
									echo '</div>';
								}
							}
							?>
						</div>
						<div class="inventory-column-right"> <!-- inventory column right -->
							<div class="inventory-headline">
								<div class="inventory-headline-details">
									<span class="inventory-saleclass form-value"
										  data-name="saleclass"><?php echo $vehicle['saleclass']; ?></span>
									<a href="<?php echo $link; ?>" title="<?php echo $generic_vehicle_title; ?>">
										<span class="inventory-year form-value"
											  data-name="year"><?php echo $vehicle['year']; ?></span>
										<span class="inventory-make form-value"
											  data-name="make"><?php echo $vehicle['make']; ?></span>
										<span class="inventory-model form-value"
											  data-name="model"><?php echo $vehicle['model']; ?></span>
										<span class="inventory-trim form-value"
											  data-name="trim"><?php echo $vehicle['trim']; ?></span>
									</a>
								</div>
								<?php
								if ( $vehicle['retailprice'] > 0 && 'new' === strtolower( $vehicle['saleclass'] ) ) {
									echo '<div class="inventory-headline-msrp" data-alt="' . $vehicle['retailprice'] . '">MSRP: ' . '$' . number_format( $vehicle['retailprice'], 0, '.', ',' ) . '</div>';
								}
								if ( strlen( trim( $vehicle['headline'] ) ) > 0 ) {
									echo '<div class="inventory-headline-text">' . $vehicle['headline'] . '</div>';
								}
								?>
							</div>
							<div class="inventory-listing-info">
								<div class="inventory-details-left">
									<span data-alt="<?php echo $vehicle['stock']; ?>">Stock #: <span
												class="inventory-stock-number form-value"
												data-name="stock_number"><?php echo $vehicle['stock']; ?></span></span>
									<span data-alt="<?php echo $vehicle['vin']; ?>">VIN: <span
												class="inventory-vin form-value"
												data-name="vin"><?php echo $vehicle['vin']; ?></span></span>
									<?php
									if ( $vehicle['odometer'] > 100 ) {
										echo '<span class="inventory-odometer">Odometer: ' . $vehicle['odometer'] . '</span>';
									}
									if ( 'true' === $vehicle['certified'] ) {
										echo '<span class="inventory-certified">Certified Pre-Owned</span>';
									}
									?>
								</div>
								<div class="inventory-details-right">
									<?php
									echo null !== $vehicle['body'] ? '<span class="inventory-body-style">Body Style: ' . $vehicle['body'] . '</span>' : null;
									echo null !== $vehicle['interior'] ? '<span class="inventory-interior-color">Int. Color: ' . $vehicle['interior'] . '</span>' : null;
									echo null !== $vehicle['exterior'] ? '<span class="inventory-exterior-color">Ext. Color: ' . $vehicle['exterior'] . '</span>' : null;
									echo null !== $vehicle['transmission'] ? '<span class="inventory-transmission">Trans: ' . $vehicle['transmission'] . '</span>' : null;
									?>
								</div>
								<div class="inventory-price">
									<?php
									echo $price['compare_text'] . $price['primary_text'] . $price['expire_text'] . $price['hidden_prices'];
									$loan_parameters = array(
										'make'      => $vehicle['make'],
										'model'     => $vehicle['model'],
										'trim'      => $vehicle['trim'],
										'year'      => $vehicle['year'],
										'saleclass' => $vehicle['saleclass'],
									);
									echo $fn_inventory->get_loan_value( $this->theme_options['theme']['inventory_display']['payment_calculator'], $price['primary_price'], $loan_parameters );
									?>
								</div>
							</div>
							<div class="inventory-more-info">
								<div class="inventory-contact-information">
									<?php
									echo $fn_inventory->get_dealer_contact_info(
										array(
											'vehicle' => $vehicle,
											'company' => $this->company,
										)
									);
									?>
								</div>
								<div class="inventory-detail-button">
									<a class="detail-link-button" href="<?php echo $link; ?>"
									   title="More Information: <?php echo $generic_vehicle_title; ?>"><?php echo( empty( $this->theme_settings['theme']['inventory_display']['list']['general']['buttons']['vdp_link']['name'] ) ? 'More Information' : $this->theme_settings['theme']['inventory_display']['list']['general']['buttons']['vdp_link']['name'] ); ?></a>
								</div>
								<?php
								if ( $gform_class ) {
									$form_name = empty( $this->theme_options['theme']['inventory_display']['list']['general']['buttons']['form']['name'] ) ? 'Get E-Price' : $this->theme_options['theme']['inventory_display']['list']['general']['buttons']['form']['name'];
									echo '<div class="inventory-detail-button"><div class="form-button ' . $gform_class . '" data-name="' . $form_name . '" data-key="' . $vehicle['vin'] . '">' . $form_name . '</div></div>';
								}
								if ( $vehicle['autocheck'] ) {
									echo $fn_inventory->display_autocheck_image( $vehicle['vin'], $vehicle['saleclass'] );
								}
								?>
							</div>
							<div class="inventory-form-container"></div>
						</div>
						<?php
						if ( ! empty( $vehicle['carfax'] ) && 'used' === strtolower( $vehicle['saleclass'] ) ) {
							echo $fn_inventory->cdp_display_carfax( $vehicle['vin'], $vehicle['carfax'], $vehicle['carfax_image_url'], 'list' );
						}
						?>
					</div>
					<?php
					flush();
				endforeach;
			}
			?>
		</div>
	</div>
	<div id="inventory-disclaimer">
		<p>
			<?php
			echo $fn_inventory->get_disclaimer();
			?>
		</p>
	</div>
	<div id="inventory-bottom">
		<div class="breadcrumbs"><?php echo $fn_inventory->display_breadcrumb( $this->parameters, $this->company, $this->theme_options['theme']['overrides']['custom_contact'], $this->parameters['saleclass'] ); ?></div>
		<div class="inventory-pager">
			<?php echo paginate_links( $args ); ?>
		</div>
	</div>
	<?php
	if ( is_active_sidebar( 'vehicle-listing-page' ) ) :
		echo '<div id="list-widget-area">';
		dynamic_sidebar( 'vehicle-listing-page' );
		echo '</div>';
	endif;
	?>
</div>
