<?php

namespace CarDealerPress\Templates\Inventory;

use CarDealerPress\Includes\Helpers\Option;

$ext_functions->load_parameters( $this->parameters );
$search_view = Option::check_for_option(
	'cdp_theme_options',
	array(
		'theme',
		'inventory_display',
		'list',
		'search_filters',
		'general',
		'search_view',
	)
) . '_search';
$srp_view    = Option::check_for_option(
	'cdp_theme_options',
	array(
		'theme',
		'inventory_display',
		'list',
		'search_filters',
		'general',
		'srp_view',
	)
);
$vehicles    = array();

$vehicle_total_found = 0;

?>
	<div id="inventory-wrapper">
		<div id="inventory-listing" class="<?php echo $search_view; ?> inventory-main-container">
			<div id="inventory-top-container" class="<?php echo $search_view; ?>bar-flamingo">
				<?php
				if ( Option::check_for_option(
					'cdp_theme_options',
					array(
						'theme',
						'inventory_display',
						'general',
						'saved_vehicles',
						'display',
					)
				)
				) {
					echo $ext_functions->extender_saved_vehicle_container();
				}
				echo '<h1 id="list-page-title">' . rawurldecode(
					stripslashes(
						Option::check_for_option(
							'cdp_theme_options',
							array(
								'theme',
								'inventory_display',
								'list',
								'general',
								'list_title_heading',
							)
						)
					)
				) . '</h1>';  // overwritten by js.
				echo '<div id="pagination-anchor" class="inventory-pagination-container">' . $ext_functions->extender_inventory_pagination( $vehicles ) . '</div>';
				echo '<div id="inventory-sort-container">' . $ext_functions->extender_create_sort_dropdown() . '</div>';
				echo '</div>';
				echo '<div id="inventory-middle-container" ';
				if ( 'top_search' !== $search_view ) {
					echo 'style="display:grid"';
				}
				echo '>';
				if ( 'top_search' === $search_view ) {
					echo '<div id="inventory-search-container" class="' . $search_view . 'bar-flamingo">';
					echo $ext_functions->$search_view();
					echo '</div>';
				}
				if ( 'side_search' === $search_view || 'side2_search' === $search_view ) {
					echo '<div id="inventory-side-search">';
					echo '<div id="inventory-sidebar-mobile-search">Search</div>';
					echo '<div id="inventory-search-container" class="sidebar-flamingo ' . $search_view . '-bar">';
					echo $ext_functions->$search_view();

					echo '</div>';
					echo '</div>';
				}
				?>
				<?php
				// Reset Parameters to default URL parameters on init load to keep search results the same.
				$ext_functions->load_parameters( $this->parameters );
				?>
				<div id="inventory-vehicles-container" class="vehicles <?php echo $search_view; ?>bar-flamingo">
					<?php
					switch ( strtolower( $srp_view ) ) {
						case 'list':
							echo $ext_functions->extender_inventory_list_view( $vehicles );
							break;
						case 'grid':
							echo $ext_functions->extender_inventory_list_view_grid( $vehicles );
							break;
					}
					?>
				</div>
			</div>
			<div id="inventory-bottom-container" class="<?php echo $search_view; ?>bar-flamingo">
				<div class="inventory-pagination-container pagination-anchor"><?php echo $ext_functions->extender_inventory_pagination( $vehicles ); ?></div>
				<?php
				echo '<div class="inventory-disclaimer"><small>' . $fn_inventory->get_disclaimer() . '</small></div>';
				?>
			</div>
			<div id="inventory-search-data">
				<?php
				foreach ( $ext_functions::$passed_parameters as $key => $value ) {
					if ( 'taxonomy' !== $key ) {
						echo '<div data-key="' . $key . '" data-value="' . $value . '"></div>';
					}
				}
				?>
			</div>

			<div id="inventory-ajax-icon"><img src="<?php echo CDP_IMG . 'templates/inventory/loading.gif'; ?>" alt="loading"></div>
			<?php
			if ( is_active_sidebar( 'vehicle-listing-page' ) ) :
				echo '<div id="list-widget-area" class="' . $search_view . 'bar-flamingo">';
				dynamic_sidebar( 'vehicle-listing-page' );
				echo '</div>';
			endif;
			?>
		</div>
		<?php
		if ( Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				'general',
				'saved_vehicles',
				'display',
			)
		)
		) {
			echo $ext_functions->extender_compare_vehicle_container();
		}
		?>
	</div>
	<?php
	$ajax = Option::check_for_option(
		'cdp_theme_options',
		array(
			'theme',
			'inventory_display',
			'list',
			'scripts',
			'ajax',
		)
	);
	if ( $ajax ) {
		echo '<div id="ajax-script-wrapper">';
		echo urldecode( stripslashes( $ajax ) );
		echo '</div>';
	}
	?>

<?php

