<?php

namespace CarDealerPress\templates\partials\inventory;

use CarDealerPress\Includes\Helpers\Option;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// for non ajax themes.
class Vehicle_Attributes {

	private static $row_class_count;

	public static function list( $args ): string {
		$layout                        = $args['layout'] ?? 'list';
		$page                          = $args['page'] ?? 'list';
		$color                         = isset( $args['row_color'] );
		$vehicle                       = $args['vehicle'];
		$content                       = '';
		self::$row_class_count         = 0;
		$display_attribute             = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				$page,
				'vehicle_attributes',
				'display_attribute',
			)
		);
		$na_message_text               = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				$page,
				'vehicle_attributes',
				'not_found_text',
			)
		);
		$na_message                    = "<div title='Contact Dealer to acquire additional information.' class='data-na'>$na_message_text<sup>*</sup></div>";
		$vehicle_attributes            = Option::check_for_option(
			'cdp_theme_options',
			array(
				'theme',
				'inventory_display',
				$page,
				'vehicle_attributes',
				'attributes',
			)
		);
		$vehicle_attributes_additional = Option::check_for_option( 'cdp_theme_options', array( 'theme', 'inventory_display', $page, 'vehicle_attributes', 'additional' ) );
		foreach ( $vehicle_attributes as $index => $row ) {
			if ( 'on' === $row['desktop'] || 'on' === $row['mobile'] ) {
				$mobile         = ( 'on' === $row['mobile'] ) ? '' : 'mobile-hide';
				$desktop        = ( 'on' === $row['desktop'] ) ? '' : 'desktop-hide';
				$row_color      = ( true === $color ? self::extender_row_color_class() : '' );
				$special_class  = trim( $mobile . ' ' . $desktop . ' ' . $row_color );
				$attribute_name = $row['attribute'];
				if ( ! ( empty( $vehicle[ $attribute_name ] ) && empty( $display_attribute ) ) ) {
					// FUEL.
					if ( 'mpg' === $attribute_name ) {
						$fuel_title = $vehicle_attributes_additional['mpg']['disclaimer'];
						$content   .= '<div class="info-item info-mpg info-mobile ' . $special_class . ' ">';
						$content   .= '<span class="info-label" title="' . $fuel_title . '">';
						$content   .= $row['label'] . '<sup>*</sup>:</span>';
						if ( ! ( empty( $vehicle['highway'] ) && empty( $vehicle['city'] ) ) ) {
								$content .= '<span class="info-value"><span class="info-city">' . $vehicle['city'] . ' city</span> / <span class="info-hwy">' . $vehicle['highway'] . ' hwy</span>' . '</div>';
						} else {
							$content .= '<span class="info-value">' . $na_message . '</span></div>';
						}
					} else {
						$content  .= '<div class="info-item info-mobile info-' . $attribute_name . ' ' . $special_class . '">';
						$content  .= '<span class="info-label">' . $row['label'] . ':</span>';
						$item_prop = '';
						if ( array_key_exists( $attribute_name, $vehicle_attributes_additional ) ) {
							$item_prop = ' itemprop="' . $vehicle_attributes_additional[ $attribute_name ]['item_prop'] . '" ';
						}
						$content .= '<span class="info-value form-value vehicle-save" data-name="' . $attribute_name . '" ' . $item_prop . '>' . ( empty( $vehicle[ $attribute_name ] ) ? $na_message : ucwords( $vehicle[ $attribute_name ] ) ) . '</span>';
						$content .= '</div>';
					}
				}
			}
		}
		return $content;
	}

	public static function extender_row_color_class() {
		if ( self::$row_class_count <= 1 ) { // 0,1 are one row
			self::$row_class_count ++;
			$class = 'row-plain';
		} elseif ( self::$row_class_count <= 3 ) {// 2,3 are one row
			self::$row_class_count ++;
			$class = 'row-color';
		} else {
			self::$row_class_count = 1;
			$class                 = 'row-plain';
		}

		return $class;
	}

}
