<?php

use CarDealerPress\Includes\Database\Requests;
use CarDealerPress\includes\functions\Fn_Inventory;
use CarDealerPress\Includes\Helpers\Option;

$rules    = get_option( 'rewrite_rules' );
$url_rule = isset( $rules['^(inventory)'] );

$this->vms->tracer = 'Obtaining requested sc inventory.';
$inventory         = $this->vms->get_inventory( array( 'parameters' => $this->sc_atts ) );

$state = $this->company['state'];
$city  = $this->company['city'];

$site_url = site_url();


$sc_content = '<div id="sc-inventory-wrapper" >';

if ( empty( $inventory ) ) {
	$sc_content .= '<div class="sc-not-found"><h2><strong>No vehicles available for this search.</strong></h2></div>';
} else {
	foreach ( $inventory as $vehicle ) {
		$vdp_link = '';
		$target   = '';
		if ( ! $this->use_vehicle_url ) {
			$link_params = array(
				'year'  => $vehicle['year'],
				'make'  => $vehicle['make'],
				'model' => $vehicle['model'],
				'state' => $state,
				'city'  => $city,
				'vin'   => $vehicle['vin'],
				'id'    => $vehicle['id'],
			);
			$vdp_link    = $this->fn_inventory->generate_inventory_link( $url_rule, $link_params, '', '', 1 );
		} elseif ( ! empty( $vehicle['vehicle_url'] ) ) {
			$vdp_link = $vehicle['vehicle_url'];
			$target   = 'target="_blank"';
		}
		// wrapper -s.
			$sc_content .= '<div class="sc-item-wrapper"><a href="' . $vdp_link . '" ' . $target . '>';
			// title.
			$sc_content .= '<div class="sc-title-wrapper">';
			$sc_content .= '<span class="sc-year">' . $vehicle['year'] . '</span>';
			$sc_content .= '<span class="sc-make">' . $vehicle['make'] . '</span>';
			$sc_content .= '<span class="sc-model">' . $vehicle['model'] . '</span>';
			$sc_content .= '</div>';
			// image.
			$list_image  = $this->fn_inventory->no_photo_replace( $vehicle['thumbnail'] );
			$sc_content .= '<div class="sc-img-wrapper">';
			$alt         = $vehicle['year'] . ' ' . $vehicle['make'] . ' ' . $vehicle['model'];
			$sc_content .= '<img src="' . str_replace( '_small', '_' . $this->sc_image_size, $list_image ) . '" alt="' . $alt . '"/>';
			$sc_content .= '</div>';
			// price.
			$price = $this->fn_inventory->get_price_display(
				array(
					'company' => $this->company,
					'vehicle' => $vehicle,
					'theme'   => 'short-code',
				)
			);

			$sc_content .= '<div class="sc-price-wrapper">';
		if ( $price['primary_price'] > 0 ) {
			$sc_content .= '<div class="sc-price-value"><span class="sc-price-symbol">$</span>' . number_format( $price['primary_price'], 0, '.', ',' ) . '</div>';
		} else {
			$sc_content .= '<div class="sc-price-value-text">' . $price['primary_text'] . '</div>';
		}
			$sc_content .= '</div>';
			// wrapper -e.
			$sc_content .= '</a></div>';

	}
}

$sc_content      .= '</div>';
$this->sc_content = $sc_content;
