<?php

namespace CarDealerPress\Templates\ShortCode;

use CarDealerPress\Includes\Database\Requests;
use CarDealerPress\includes\functions\Fn_Inventory;
use CarDealerPress\includes\functions\sc_views;
use CarDealerPress\Includes\Helpers\Option;

$rules    = get_option( 'rewrite_rules' );
$url_rule = isset( $rules['^(inventory)'] );
$slick    = '';
$class    = '';

$this->vms->tracer = 'Obtaining requested sc inventory.';
$inventory         = $this->vms->get_inventory( array( 'parameters' => $this->inventory_params ) );

$sc_content = '<div class="sc-slider-container">';
if ( isset( $this->slick_params['title'] ) ) {
	$sc_content .= '<div class="sc-slider-title">' . $this->slick_params['title'] . '</div>';
}
if ( empty( $inventory ) ) {
	$sc_content .= '<div class="sc-not-found"><h2><strong>Search criteria did not return any results.</strong></h2></div>';
} else {
	if ( $this->is_slider ) {
		$slick .= 'data-slick=\'{';
		$class  = 'sc-slider-init';
		foreach ( $this->slick_params as $key => $value ) {
			$slick .= '"' . $key . '": ' . ( is_bool( $value ) ? ( ! empty( $value ) ? 'true' : 'false' ) : '"' . $value . '"' ) . ',';
		}
		$slick = rtrim( $slick, ',' ) . '}\'';
	} else {

		$class = 'sc-slider-flex';
	}
	$sc_content .= '<div class="sc-slider-inner-container"><div class="' . $class . '" ' . $slick . '>';
	foreach ( $inventory as $vehicle ) {
		$sc_content .= $this->sc_views->get_sc_slider_view( $vehicle, 'sc-slider', $this->company, $this->theme_options, $url_rule, $this->slider_image_size, $this->use_vehicle_url );
	}
	$sc_content .= '</div></div>';
}
$sc_content .= '</div>';

$this->sc_content .= $sc_content;
